#ifndef BBCmd_MESSAGE_H
#define BBCmd_MESSAGE_H

#include "BBCmd.h"


#define DECLARE_DESCRIPTOR(NAME)			\
	extern const BBCmdCommandDescriptor* const	\
		BBCmd__##NAME##__CommandDescriptor;

DECLARE_DESCRIPTOR(aboutplugins)
DECLARE_DESCRIPTOR(aboutstyle)
DECLARE_DESCRIPTOR(adddesk)
DECLARE_DESCRIPTOR(broam)
DECLARE_DESCRIPTOR(deldesk)
DECLARE_DESCRIPTOR(deskleft)
DECLARE_DESCRIPTOR(deskright)
DECLARE_DESCRIPTOR(editblackbox)
DECLARE_DESCRIPTOR(editextensions)
DECLARE_DESCRIPTOR(editmenu)
DECLARE_DESCRIPTOR(editplugins)
DECLARE_DESCRIPTOR(editstyle)
DECLARE_DESCRIPTOR(editworkspacename)
DECLARE_DESCRIPTOR(gatherwindows)
DECLARE_DESCRIPTOR(hibernate)
DECLARE_DESCRIPTOR(hidemenu)
DECLARE_DESCRIPTOR(label)
DECLARE_DESCRIPTOR(lockworkstation)
DECLARE_DESCRIPTOR(logoff)
DECLARE_DESCRIPTOR(mainmenu)
DECLARE_DESCRIPTOR(quit)
DECLARE_DESCRIPTOR(reboot)
DECLARE_DESCRIPTOR(reconfig)
DECLARE_DESCRIPTOR(restart)
DECLARE_DESCRIPTOR(run)
DECLARE_DESCRIPTOR(shutdown)
DECLARE_DESCRIPTOR(slitmenu)
DECLARE_DESCRIPTOR(style)
DECLARE_DESCRIPTOR(stylesmenu)
DECLARE_DESCRIPTOR(suspend)
DECLARE_DESCRIPTOR(systembarmenu)
DECLARE_DESCRIPTOR(toggleplugins)
DECLARE_DESCRIPTOR(toggleslit)
DECLARE_DESCRIPTOR(togglesystembar)
DECLARE_DESCRIPTOR(toggletoolbar)
DECLARE_DESCRIPTOR(toggletray)
DECLARE_DESCRIPTOR(toolbarmenu)
DECLARE_DESCRIPTOR(workspacemenu)

#undef DECLARE_DESCRIPTOR


#define BBCmd_MC_DESCRIPTOR(NAME) BBCmd__##NAME##__CommandDescriptor


#endif
