/* The adaptors to use BB4W API written in C++ */

#include <BBApi.h>
#include "BBCmd.h"




int
BBCmd_GetCurrentWorkspaceNumber(void)
{
	DesktopInfo di;
	FARPROC pGetDesktopInfo;

	if (!BBCmd_AmIPlugin()) return -13;

	pGetDesktopInfo = GetProcAddress( GetModuleHandle(NULL),
	                                  "GetDesktopInfo" );
	if (pGetDesktopInfo == NULL) return -14;

	(*(void (*)(DesktopInfo*))pGetDesktopInfo)(&di);

	return di.number;
}




/* __END__ */
